Subject: Re: [bug#40422] [PATCH] gnu: kmod: Update to 27.

From: Marius Bakke <[email-masked]>
Date: Mon, 06 Apr 2020 00:14:31 +0200

Brice Waegeneire <[email-masked]> writes:

> On 2020-04-05 14:45, Marius Bakke wrote:
>> Brice Waegeneire <[email-masked]> writes:
>> 
>>> * gnu/packages/linux.scm (kmod): Update to 27. Enable tests.
>>> ---
>>> 
>>> This patch need to be merge on core-updates because > 2200 packages 
>>> will need
>>> to be rebuilt.  Without this patch (in particular `--sysconfdir=/etc`) 
>>> it's
>>> not possible to pass module arguments to `kernel-module-loader` from
>>> <https://issues.guix.info/issue/40274>.
>> 
>> As the core-updates branch is frozen right now, could you submit this
>> patch as a 'kmod/next' variable?  See e.g. 'help2man/latest' or
>> 'automake-1.16.2' for inspiration.
>
> I can do that but I would need to adjust %modprobe-wrapper for
> `kernel-loader-module` to work without the crutch at 8c88e24229 since 
> the service
> gets its modprobe from "/proc/sys/kernel/modprobe".

Huh, what kind of sorcery is this?  :-)

Let's hold this patch until core-updates is merged, then I think we can
run it through 'staging'.

>> After the core-updates merge, we can do a larger 'staging' round that
>> updates the default 'kmod'.
>> 
>> I wonder if we should patch eudev to use
>> /run/current-system/profile/bin/ instead of /gnu/store/...kmod/bin so
>> that we can update kmod without triggering a huge rebuild.
>
> eudev uses libkmod to to use it's kmod feature so I'm not sure how to do 
> this.

Oh right, I didn't realize there was a libkmod.